{ impermanence, ... }:
{
  imports = [
    impermanence.nixosModules.impermanence
  ];
  environment.persistence."/persist" = {
    hideMounts = true;
    directories = [
      "/etc/nixos"
      # Stores auto assigned user/group ids
      "/var/lib/nixos"
      "/var/log"
      # User directories
      "/home/derped/.config/home-manager"
    ];
    files = [
      "/etc/machine-id"
      "/etc/ssh/ssh_host_ed25519_key"
      "/etc/ssh/ssh_host_ed25519_key.pub"
      "/etc/ssh/ssh_host_rsa_key"
      "/etc/ssh/ssh_host_rsa_key.pub"
      "/var/lib/sops-nix/key.txt"
    ];
  };
}
